Bug 76439 - Add EuroSign to AltGr+5 on Swedish/Finnish keyboard layout
Add EuroSign to AltGr+5 on Swedish/Finnish keyboard layout
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-21 16:19 EDT by Christian Rose
Modified: 2007-04-18 12:47 EDT (History)
1 user (show)

See Also:
Fixed In Version: 4.3.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-25 05:59:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for the Swedish layout (692 bytes, patch)
2002-10-21 16:27 EDT, Christian Rose
no flags Details | Diff
Patch for the Finnish layout (692 bytes, patch)
2002-10-21 16:28 EDT, Christian Rose
no flags Details | Diff

  None (edit)
Description Christian Rose 2002-10-21 16:19:35 EDT
The standard placement for the Euro sign is on AltGr+e, but some older and odd 
keyboards have the sign on AltGr+5. Windows does accomodate for this and allows 
the EuroSign to be entered both ways.

I'm attaching an attempt to patch this (don't know if it is correct or if I'm 
even patching the correct file) for both the Swedish and Finnish layouts (they 
are pretty much identical).
Comment 1 Christian Rose 2002-10-21 16:27:20 EDT
Created attachment 81393 [details]
Patch for the Swedish layout
Comment 2 Christian Rose 2002-10-21 16:28:19 EDT
Created attachment 81394 [details]
Patch for the Finnish layout
Comment 3 Christian Rose 2002-10-21 16:30:00 EDT
By the way, it would be nice if bug 50282 could be fixed.
Comment 4 Mike A. Harris 2002-10-21 16:48:26 EDT
Please submit your patch directly to XFree86.org at fixes@xfree86.org.
As soon as the patch is verified as correct by the XFree86 team, and
checked into XFree86 CVS, it is a potential candidate for backport
to future Red Hat Linux XFree86 packages.  All changes of this manner
must go through XFree86 prior to being accepted in Red Hat Linux.

I'm defering your request for now.  Please feel free to reopen this
report as a reminder once your patch appears in XFree86 CVS.
Comment 5 Christian Rose 2002-10-21 21:45:47 EDT
Reported upstream to XFree86 now.
Comment 6 Christian Rose 2002-12-20 08:20:13 EST
Any news on this? According to a mail from mharris, this had been applied to
XFree CVS.
Comment 7 Mike A. Harris 2003-04-25 05:59:52 EDT
I believe this is fixed in 4.3.0 now and this bug report just never got
updated.  Closing bug as fixed in 4.3.0 in Red Hat Linux 9.  If the problem
does however still exist, please report it upstream at http://bugs.xfree86.org
if you haven't already, then reopen this report and paste the upstream URL
for me to track.
Comment 8 Christian Rose 2003-04-25 08:18:14 EDT
Verified as fixed in RHL 9. Thanks.

Note You need to log in before you can comment on or make changes to this bug.